Project

General

Profile

Actions

Misc #16013

open

Bundler...

Added by MSP-Greg (Greg L) over 1 year ago. Updated over 1 year ago.

Status:
Feedback
Priority:
Normal
[ruby-core:93847]

Description

In the past, I've seen several times where the bundler default gem has caused issues in external CI. It is currently causing issues with CI's that use nested 'bundle' commands.

External repos should not have to force an install/update of RubyGems/Bundler for ruby-head to work.

Also, the lib/bundler/build_metadata.rb file contains no information about the files currently installed in master, and hence neither the gemspec or commands like bundle version are correct.

There has also been a gem release of bundler that occurred almost two weeks after the last update here. Technically, that version is 2.0.2, while master is using bundler master/2.1.0.pre.1, but I'm sure some of the commits overlap.

Hence, can bundler be updated more frequently and accurately?


Related issues

Related to Ruby master - Feature #16012: Add a (small) test-install suite?Assignedhsbt (Hiroshi SHIBATA)Actions
Actions

Also available in: Atom PDF